LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06796Bug reports[All Projects] Survey designpublic2012-10-29 14:162012-11-01 13:13
Reporterspacejanitor 
Assigned Toc_schmitz 
PriorityurgentSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06796: "Get order from previous question" functionality does not work
DescriptionI created a very simple test survey and made Q1 and Q2, both multiple choice questions with 4 identical subquestions.

I randomized Q1's responses by selecting "Randomize on each page load". I then went to Q2 and set the field "Get order from previous question" with "Q1".

I tried testing the survey enabled/disabled, setting "Randomize on each page load" at Q2 on/off, assigning a randomization group to Q1 and Q2, and changing survey display from "Group by Group" to "Question by Question", all with the same result.
I will donate to the project if issue is resolved within 48 hrsYes
LimeSurvey build number OR git commit ID121025
BrowserFirefox 16
Database & DB-VersionMySQL 5
Operating System (Server)Ubuntu
Webserver software & versionApache 2.4
PHP VersionPHP 5
Attached Files? file icon limesurvey_survey_144282.lss [^] (17,584 bytes) 2012-10-29 14:16

- Relationships

-  Notes
User avatar (21825)
c_schmitz (administrator)
2012-10-31 14:57

Actually the bug was that this setting was offered for that question type at all. Only the Array (Numbers) question type currently supports this.
User avatar (21826)
c_schmitz (administrator)
2012-10-31 14:58

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10081 [^]
User avatar (21868)
c_schmitz (administrator)
2012-11-01 13:13

2.00+ build 201101 released. Please update.

- Related Changesets
LimeSurvey: master 628a44b5
Timestamp: 2012-10-31 06:58:03
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06796: "Get order from previous question" functionality does not work
mod - application/helpers/common_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-10-29 14:16 spacejanitor New Issue
2012-10-29 14:16 spacejanitor File Added: limesurvey_survey_144282.lss
2012-10-30 09:13 c_schmitz Assigned To => c_schmitz
2012-10-30 09:13 c_schmitz Status new => assigned
2012-10-31 14:57 c_schmitz Note Added: 21825
2012-10-31 14:57 c_schmitz Status assigned => resolved
2012-10-31 14:57 c_schmitz Fixed in Version => 2.00+
2012-10-31 14:57 c_schmitz Resolution open => fixed
2012-10-31 14:58 c_schmitz Changeset attached => LimeSurvey master 628a44b5
2012-10-31 14:58 c_schmitz Note Added: 21826
2012-11-01 13:13 c_schmitz Note Added: 21868
2012-11-01 13:13 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker